Package groovy.ui.text

# Class FindReplaceUtility

java.lang.Object
groovy.ui.text.FindReplaceUtility

    @Deprecated
    public final class FindReplaceUtility
    extends java.lang.Object

Deprecated.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `CLOSE_ACTION_COMMAND` | Deprecated.
  `static javax.swing.Action` | `FIND_ACTION` | Deprecated.
  `static java.lang.String` | `FIND_ACTION_COMMAND` | Deprecated.
  `static java.lang.String` | `REPLACE_ACTION_COMMAND` | Deprecated.
  `static java.lang.String` | `REPLACE_ALL_ACTION_COMMAND` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static void` | `addTextListener​(java.awt.event.TextListener tl)` | Deprecated.
  `static void` | `dispose()` | Deprecated.
  `static java.lang.String` | `getLastAction()` | Deprecated.
  `static int` | `getReplacementCount()` | Deprecated.
  `static java.lang.String` | `getSearchText()` | Deprecated.
  `static void` | `registerTextComponent​(javax.swing.text.JTextComponent textComponent)` | Deprecated.
  `static void` | `removeTextListener​(java.awt.event.TextListener tl)` | Deprecated.
  `static void` | `showDialog()` | Deprecated.
  `static void` | `showDialog​(boolean isReplace)` | Deprecated.
  `static void` | `unregisterTextComponent​(javax.swing.text.JTextComponent textComponent)` | Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FIND_ACTION_COMMAND

    public static final java.lang.String FIND_ACTION_COMMAND
    Deprecated.
    See Also:
      Constant Field Values

  - ### REPLACE_ACTION_COMMAND

    public static final java.lang.String REPLACE_ACTION_COMMAND
    Deprecated.
    See Also:
      Constant Field Values

  - ### REPLACE_ALL_ACTION_COMMAND

    public static final java.lang.String REPLACE_ALL_ACTION_COMMAND
    Deprecated.
    See Also:
      Constant Field Values

  - ### CLOSE_ACTION_COMMAND

    public static final java.lang.String CLOSE_ACTION_COMMAND
    Deprecated.
    See Also:
      Constant Field Values

  - ### FIND_ACTION

    public static final javax.swing.Action FIND_ACTION
    Deprecated.

- ## Method Details

  - ### addTextListener

    public static void addTextListener​(java.awt.event.TextListener tl)
    Deprecated.

  - ### getLastAction

    public static java.lang.String getLastAction()
    Deprecated.
    Returns:
      the last action

  - ### getReplacementCount

    public static int getReplacementCount()
    Deprecated.
    Returns:
      the replacement count

  - ### getSearchText

    public static java.lang.String getSearchText()
    Deprecated.
    Returns:
      the search text

  - ### registerTextComponent

    public static void registerTextComponent​(javax.swing.text.JTextComponent textComponent)
    Deprecated.
    Parameters:
      `textComponent` - the text component to listen to

  - ### removeTextListener

    public static void removeTextListener​(java.awt.event.TextListener tl)
    Deprecated.

  - ### showDialog

    public static void showDialog()
    Deprecated.

  - ### showDialog

    public static void showDialog​(boolean isReplace)
    Deprecated.
    Parameters:
      `isReplace` - show a replace dialog rather than a find dialog if true

  - ### unregisterTextComponent

    public static void unregisterTextComponent​(javax.swing.text.JTextComponent textComponent)
    Deprecated.
    Parameters:
      `textComponent` - the text component to stop listening to

  - ### dispose

    public static void dispose()
    Deprecated.